Commit 7ed1826e authored by Benjamin Franzke's avatar Benjamin Franzke 😀
Browse files

configure: Require libudev for drm & wayland egl platforms

NOTE: This is a candidate for the 7.11 branch.
parent 9b8cd499
......@@ -1724,6 +1724,10 @@ yes)
if test "$plat" = "drm" && test "x$enable_gbm" = "xno"; then
AC_MSG_ERROR([EGL platform drm needs gbm])
fi
case "$plat$have_libudev" in
waylandno|drmno)
AC_MSG_ERROR([cannot build $plat platfrom without udev]) ;;
esac
done
EGL_PLATFORMS="$egl_platforms"
;;
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment